gRPC C#
gRPC C#
Namespaces
Grpc.Core
ServerCallContext Class
ServerCallContext Properties
CancellationToken Property
Deadline Property
Host Property
Method Property
Peer Property
RequestHeaders Property
ResponseTrailers Property
Status Property
WriteOptions Property

ServerCallContext RequestHeaders Property

Initial metadata sent by client.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Metadata RequestHeaders { get; }

    Public ReadOnly Property RequestHeaders As Metadata
    	Get

    public:
    property Metadata^ RequestHeaders {
    	Metadata^ get ();
    }

    member RequestHeaders : Metadata with get

#### Property Value

Type: Metadata
See Also

#### Reference

ServerCallContext Class
Grpc.Core Namespace